[build]
incremental = false

[profile.ci]
inherits = "release"
debug = true
split-debuginfo = "unpacked"

[profile.coverage]
inherits = "ci"
opt-level = 0
debug-assertions = true
overflow-checks = true

[unstable]
profile-generate = "profile-generate"
profile-use = "profile-use"

[term]
color = "auto"

[net]
git-fetch-with-cli = true

# For cargo-nextest
[profile.nextest]
inherits = "test"
debug = true
